org.red5.server.net.rtmp.status

## Interface StatusCodes

All Known Implementing Classes:
  BaseRTMPHandler, RTMPHandler, RTMPTHandler, SharedObjectScope, Status, StatusObjectService

    public interface StatusCodes

Collection of commonly used constants with status codes. Descriptions provided as in FMS 2.0.1 documentation available at adobe.com with some minor additions and comments.

### Field Summary

Fields
`static String` `APP_GC` This information object is passed to the onAppStop event handler when the application instance is about to be destroyed by the server.
`static String` `APP_RESOURCE_LOWMEMORY` The ActionScript engine is low on runtime memory.
`static String` `APP_SCRIPT_ERROR` The ActionScript engine has encountered a runtime error.
`static String` `APP_SCRIPT_WARNING` The ActionScript engine has encountered a runtime warning.
`static String` `APP_SHUTDOWN` This information object is passed to the onAppStop handler when the application is being shut down
`static String` `NC_CALL_BADVERSION` The URI specified in the NetConnection.connect method did not specify 'rtmp' as the protocol.
`static String` `NC_CALL_FAILED` The NetConnection.call method was not able to invoke the server-side method or command.
`static String` `NC_CONNECT_APPSHUTDOWN` The application has been shut down (for example, if the application is out of memory resources and must shut down to prevent the server from crashing) or the server has shut down.
`static String` `NC_CONNECT_CLOSED` The connection was closed successfully
`static String` `NC_CONNECT_FAILED` The connection attempt failed.
`static String` `NC_CONNECT_INVALID_APPLICATION` The application name specified during connect is invalid.
`static String` `NC_CONNECT_REJECTED` The client does not have permission to connect to the application, the application expected different parameters from those that were passed, or the application name specified during the connection attempt was not found on the server.
`static String` `NC_CONNECT_SUCCESS` The connection attempt succeeded.
`static String` `NS_BUFFER_EMPTY` The buffer is empty (sent from server to client)
`static String` `NS_CLEAR_FAILED` A recorded stream failed to delete.
`static String` `NS_CLEAR_SUCCESS` A recorded stream was deleted successfully.
`static String` `NS_DATA_START`
`static String` `NS_FAILED` An attempt to use a Stream method (at client-side) failed
`static String` `NS_INVALID_ARGUMENT` Invalid arguments were passed to a NetStream method.
`static String` `NS_PAUSE_NOTIFY` The subscriber has used the seek command to move to a particular location in the recorded stream.
`static String` `NS_PLAY_COMPLETE` Playlist playback is complete.
`static String` `NS_PLAY_FAILED` An attempt to play back a stream failed
`static String` `NS_PLAY_FILE_STRUCTURE_INVALID` This event is sent if the player detects an MP4 with an invalid file structure.
`static String` `NS_PLAY_INSUFFICIENT_BW` Data is playing behind the normal speed
`static String` `NS_PLAY_NO_SUPPORTED_TRACK_FOUND` This event is sent if the player does not detect any supported tracks.
`static String` `NS_PLAY_PUBLISHNOTIFY` The initial publish to a stream was successful.
`static String` `NS_PLAY_RESET` A playlist was reset
`static String` `NS_PLAY_START` Play was started
`static String` `NS_PLAY_STOP` Play was stopped
`static String` `NS_PLAY_STREAMNOTFOUND` An attempt was made to play a stream that does not exist
`static String` `NS_PLAY_SWITCH` Playlist playback switched from one stream to another.
`static String` `NS_PLAY_TRANSITION` Transition to another stream has been initiated.
`static String` `NS_PLAY_TRANSITION_COMPLETE` Transition to another stream is complete.
`static String` `NS_PLAY_UNPUBLISHNOTIFY` An unpublish from a stream was successful.
`static String` `NS_PUBLISH_BADNAME` An attempt was made to publish a stream that is already being published by someone else.
`static String` `NS_PUBLISH_START` An attempt to publish was successful.
`static String` `NS_RECORD_FAILED` An attempt to record a stream failed
`static String` `NS_RECORD_NOACCESS` An attempt was made to record a read-only stream
`static String` `NS_RECORD_START` Recording was started
`static String` `NS_RECORD_STOP` Recording was stopped
`static String` `NS_SEEK_FAILED` The stream doesn't support seeking.
`static String` `NS_SEEK_NOTIFY` The subscriber has used the seek command to move to a particular location in the recorded stream.
`static String` `NS_TRANSITION_FORCED` Transition to another stream has been forced.
`static String` `NS_TRANSITION_SUCCESS` Transition to another stream is processing normally.
`static String` `NS_UNPAUSE_NOTIFY` Publishing has stopped
`static String` `NS_UNPUBLISHED_SUCCESS` An attempt to unpublish was successful
`static String` `SO_CREATION_FAILED` The creation of a shared object was denied.
`static String` `SO_NO_READ_ACCESS` Read access to a shared object was denied.
`static String` `SO_NO_WRITE_ACCESS` Write access to a shared object was denied.
`static String` `SO_PERSISTENCE_MISMATCH` The persistence parameter passed to SharedObject.getRemote() is different from the one used when the shared object was created.

### Field Detail

#### NC_CALL_FAILED

    static final String NC_CALL_FAILED

The NetConnection.call method was not able to invoke the server-side method or command.

See Also:
  Constant Field Values

#### NC_CALL_BADVERSION

    static final String NC_CALL_BADVERSION

The URI specified in the NetConnection.connect method did not specify 'rtmp' as the protocol. 'rtmp' must be specified when connecting to FMS and Red5. Either not supported version of AMF was used (3 when only 0 is supported)

See Also:
  Constant Field Values

#### NC_CONNECT_APPSHUTDOWN

    static final String NC_CONNECT_APPSHUTDOWN

The application has been shut down (for example, if the application is out of memory resources and must shut down to prevent the server from crashing) or the server has shut down.

See Also:
  Constant Field Values

#### NC_CONNECT_CLOSED

    static final String NC_CONNECT_CLOSED

The connection was closed successfully

See Also:
  Constant Field Values

#### NC_CONNECT_FAILED

    static final String NC_CONNECT_FAILED

The connection attempt failed.

See Also:
  Constant Field Values

#### NC_CONNECT_REJECTED

    static final String NC_CONNECT_REJECTED

The client does not have permission to connect to the application, the application expected different parameters from those that were passed, or the application name specified during the connection attempt was not found on the server.

See Also:
  Constant Field Values

#### NC_CONNECT_SUCCESS

    static final String NC_CONNECT_SUCCESS

The connection attempt succeeded.

See Also:
  Constant Field Values

#### NC_CONNECT_INVALID_APPLICATION

    static final String NC_CONNECT_INVALID_APPLICATION

The application name specified during connect is invalid.

See Also:
  Constant Field Values

#### NS_INVALID_ARGUMENT

    static final String NS_INVALID_ARGUMENT

Invalid arguments were passed to a NetStream method.

See Also:
  Constant Field Values

#### NS_CLEAR_SUCCESS

    static final String NS_CLEAR_SUCCESS

A recorded stream was deleted successfully.

See Also:
  Constant Field Values

#### NS_CLEAR_FAILED

    static final String NS_CLEAR_FAILED

A recorded stream failed to delete.

See Also:
  Constant Field Values

#### NS_PUBLISH_START

    static final String NS_PUBLISH_START

An attempt to publish was successful.

See Also:
  Constant Field Values

#### NS_PUBLISH_BADNAME

    static final String NS_PUBLISH_BADNAME

An attempt was made to publish a stream that is already being published by someone else.

See Also:
  Constant Field Values

#### NS_FAILED

    static final String NS_FAILED

An attempt to use a Stream method (at client-side) failed

See Also:
  Constant Field Values

#### NS_UNPUBLISHED_SUCCESS

    static final String NS_UNPUBLISHED_SUCCESS

An attempt to unpublish was successful

See Also:
  Constant Field Values

#### NS_RECORD_START

    static final String NS_RECORD_START

Recording was started

See Also:
  Constant Field Values

#### NS_RECORD_NOACCESS

    static final String NS_RECORD_NOACCESS

An attempt was made to record a read-only stream

See Also:
  Constant Field Values

#### NS_RECORD_STOP

    static final String NS_RECORD_STOP

Recording was stopped

See Also:
  Constant Field Values

#### NS_RECORD_FAILED

    static final String NS_RECORD_FAILED

An attempt to record a stream failed

See Also:
  Constant Field Values

#### NS_BUFFER_EMPTY

    static final String NS_BUFFER_EMPTY

The buffer is empty (sent from server to client)

See Also:
  Constant Field Values

#### NS_PLAY_INSUFFICIENT_BW

    static final String NS_PLAY_INSUFFICIENT_BW

Data is playing behind the normal speed

See Also:
  Constant Field Values

#### NS_PLAY_START

    static final String NS_PLAY_START

Play was started

See Also:
  Constant Field Values

#### NS_PLAY_STREAMNOTFOUND

    static final String NS_PLAY_STREAMNOTFOUND

An attempt was made to play a stream that does not exist

See Also:
  Constant Field Values

#### NS_PLAY_STOP

    static final String NS_PLAY_STOP

Play was stopped

See Also:
  Constant Field Values

#### NS_PLAY_FAILED

    static final String NS_PLAY_FAILED

An attempt to play back a stream failed

See Also:
  Constant Field Values

#### NS_PLAY_RESET

    static final String NS_PLAY_RESET

A playlist was reset

See Also:
  Constant Field Values

#### NS_PLAY_PUBLISHNOTIFY

    static final String NS_PLAY_PUBLISHNOTIFY

The initial publish to a stream was successful. This message is sent to all subscribers

See Also:
  Constant Field Values

#### NS_PLAY_UNPUBLISHNOTIFY

    static final String NS_PLAY_UNPUBLISHNOTIFY

An unpublish from a stream was successful. This message is sent to all subscribers

See Also:
  Constant Field Values

#### NS_PLAY_SWITCH

    static final String NS_PLAY_SWITCH

Playlist playback switched from one stream to another.

See Also:
  Constant Field Values

#### NS_PLAY_TRANSITION

    static final String NS_PLAY_TRANSITION

Transition to another stream has been initiated.

See Also:
  Constant Field Values

#### NS_TRANSITION_SUCCESS

    static final String NS_TRANSITION_SUCCESS

Transition to another stream is processing normally. This is set as the "reason" property of the NetStatusEvent.

See Also:
  Constant Field Values

#### NS_TRANSITION_FORCED

    static final String NS_TRANSITION_FORCED

Transition to another stream has been forced. If streams that are being switched do not have aligned content/timelines, or if the keyframes are not aligned between the two streams, it is possible that the server will have to force a hard transition. This can also happen with broadcast (live) dynamic streaming if the server cannot find a synchronization point within the two streams. This is set as the "reason" property of the NetStatusEvent.

See Also:
  Constant Field Values

#### NS_PLAY_TRANSITION_COMPLETE

    static final String NS_PLAY_TRANSITION_COMPLETE

Transition to another stream is complete.

See Also:
  Constant Field Values

#### NS_PLAY_COMPLETE

    static final String NS_PLAY_COMPLETE

Playlist playback is complete.

See Also:
  Constant Field Values

#### NS_SEEK_NOTIFY

    static final String NS_SEEK_NOTIFY

The subscriber has used the seek command to move to a particular location in the recorded stream.

See Also:
  Constant Field Values

#### NS_SEEK_FAILED

    static final String NS_SEEK_FAILED

The stream doesn't support seeking.

See Also:
  Constant Field Values

#### NS_PAUSE_NOTIFY

    static final String NS_PAUSE_NOTIFY

The subscriber has used the seek command to move to a particular location in the recorded stream.

See Also:
  Constant Field Values

#### NS_UNPAUSE_NOTIFY

    static final String NS_UNPAUSE_NOTIFY

Publishing has stopped

See Also:
  Constant Field Values

#### NS_DATA_START

    static final String NS_DATA_START

See Also:
  Constant Field Values

#### APP_SCRIPT_ERROR

    static final String APP_SCRIPT_ERROR

The ActionScript engine has encountered a runtime error. In addition to the standard infoObject properties, the following properties are set: filename: name of the offending ASC file. lineno: line number where the error occurred. linebuf: source code of the offending line.

See Also:
  Constant Field Values

#### APP_SCRIPT_WARNING

    static final String APP_SCRIPT_WARNING

The ActionScript engine has encountered a runtime warning. In addition to the standard infoObject properties, the following properties are set: filename: name of the offending ASC file. lineno: line number where the error occurred. linebuf: source code of the offending line

See Also:
  Constant Field Values

#### APP_RESOURCE_LOWMEMORY

    static final String APP_RESOURCE_LOWMEMORY

The ActionScript engine is low on runtime memory. This provides an opportunity for the application instance to free some resources or take suitable action. If the application instance runs out of memory, it is unloaded and all users are disconnected. In this state, the server will not invoke the Application.onDisconnect event handler or the Application.onAppStop event handler

See Also:
  Constant Field Values

#### APP_SHUTDOWN

    static final String APP_SHUTDOWN

This information object is passed to the onAppStop handler when the application is being shut down

See Also:
  Constant Field Values

#### APP_GC

    static final String APP_GC

This information object is passed to the onAppStop event handler when the application instance is about to be destroyed by the server.

See Also:
  Constant Field Values

#### SO_NO_READ_ACCESS

    static final String SO_NO_READ_ACCESS

Read access to a shared object was denied.

See Also:
  Constant Field Values

#### SO_NO_WRITE_ACCESS

    static final String SO_NO_WRITE_ACCESS

Write access to a shared object was denied.

See Also:
  Constant Field Values

#### SO_CREATION_FAILED

    static final String SO_CREATION_FAILED

The creation of a shared object was denied.

See Also:
  Constant Field Values

#### SO_PERSISTENCE_MISMATCH

    static final String SO_PERSISTENCE_MISMATCH

The persistence parameter passed to SharedObject.getRemote() is different from the one used when the shared object was created.

See Also:
  Constant Field Values

#### NS_PLAY_FILE_STRUCTURE_INVALID

    static final String NS_PLAY_FILE_STRUCTURE_INVALID

This event is sent if the player detects an MP4 with an invalid file structure. Flash Player cannot play files that have invalid file structures. New for FMS3

See Also:
  Constant Field Values

#### NS_PLAY_NO_SUPPORTED_TRACK_FOUND

    static final String NS_PLAY_NO_SUPPORTED_TRACK_FOUND

This event is sent if the player does not detect any supported tracks. If there aren't any supported video, audio or data tracks found, Flash Player does not play the file. New for FMS3

See Also:
  Constant Field Values